### Class

# WPEJavaScriptCore Exception

since: 2.0

#### Description [src]

    final class WPEJavaScriptCore.Exception : GObject.Object
    {
      /* No available fields */
    }

JSCException represents a JavaScript exception.

Available since: 2.0

#### Ancestors

- GObject

#### Constructors

###### jsc_exception_new

Create a new `JSCException` in `context` with `message`.

since: 2.0

###### jsc_exception_new_printf

Create a new `JSCException` in `context` using a formatted string for the message.

since: 2.0

###### jsc_exception_new_vprintf

Create a new `JSCException` in `context` using a formatted string for the message. This is similar to `jsc_exception_new_printf()` except that the arguments to the format string are passed as a va_list.

since: 2.0

###### jsc_exception_new_with_name

Create a new `JSCException` in `context` with `name` and `message`.

since: 2.0

###### jsc_exception_new_with_name_printf

Create a new `JSCException` in `context` with `name` and using a formatted string for the message.

since: 2.0

###### jsc_exception_new_with_name_vprintf

Create a new `JSCException` in `context` with `name` and using a formatted string for the message. This is similar to `jsc_exception_new_with_name_printf()` except that the arguments to the format string are passed as a va_list.

since: 2.0

#### Instance methods

###### jsc_exception_get_backtrace_string

Get a string with the exception backtrace.

since: 2.0

###### jsc_exception_get_column_number

Get the column number at which `exception` happened.

since: 2.0

###### jsc_exception_get_line_number

Get the line number at which `exception` happened.

since: 2.0

###### jsc_exception_get_message

Get the error message of `exception`.

since: 2.0

###### jsc_exception_get_name

Get the error name of `exception`.

since: 2.0

###### jsc_exception_get_source_uri

Get the source URI of `exception`.

since: 2.0

###### jsc_exception_report

Return a report message of `exception`, containing all the possible details such us source URI, line, column and backtrace, and formatted to be printed.

since: 2.0

###### jsc_exception_to_string

Get the string representation of `exception` error.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WPEJavaScriptCoreExceptionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.